Subject: Re: [ipwave] WG Last Call for draft-ietf-ipwave-vehicular-networking-16

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Sun, 9 Aug 2020 20:07:15 +0900

Hi Carlos,
Could you go forward with our IPWAVE PS draft?

I observed that you prepared a write-up well.
https://datatracker.ietf.org/doc/draft-ietf-ipwave-vehicular-networking/shepherdwriteup/

Thanks.

Best Regards,
Paul

On Thu, Jul 30, 2020 at 12:09 AM CARLOS JESUS BERNARDOS CANO <
[email-masked]> wrote:

> Thanks Paul. It looks good now.
>
> Carlos
>
> On Wed, Jul 29, 2020 at 1:57 PM Mr. Jaehoon Paul Jeong <
> [email-masked]> wrote:
>
>> Carlos,
>> I have submitted the revision -19:
>> https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-19
>>
>> The tool for idnits is found:
>> https://www6.ietf.org/tools/idnits/
>>
>> The OMNI draft has the latest version of -27:
>> https://datatracker.ietf.org/doc/draft-templin-6man-omni-interface/
>>
>> Thanks.
>>
>> Best Regards,
>> Paul
>>
>> On Wed, Jul 29, 2020 at 7:35 PM Mr. Jaehoon Paul Jeong <
>> [email-masked]> wrote:
>>
>>> Hi Alex,
>>> Thanks for your kind suggestions.
>>> But I prefer to use the current structure of the XML file to save time.
>>>
>>> Carlos,
>>> Could you share the URL to check the nits of the I-D, especially unused
>>> references, before the submission of the revision?
>>>
>>> Thanks.
>>>
>>> Best Regards,
>>> Paul
>>>
>>> 2020년 7월 29일 (수) 오후 6:29, Alexandre Petrescu <
>>> [email-masked]>님이 작성:
>>>
>>>> it is these two nits:
>>>> >  == Unused Reference: 'RFC6775' is defined on line 1566, but no
>>>> explicit
>>>> >      reference was found in the text
>>>> >
>>>> >   -- Unexpected draft version: The latest known version of
>>>> >      draft-templin-6man-omni-interface is -07, but you're referring
>>>> to -27.
>>>>
>>>> For the first nit (rfc6775 "6lowpan ND") there are two possibilities:
>>>> (1) remove the entire xml group starting with " <reference
>>>> anchor="RFC6775">" or (2) ask about how to talk about 6lowpan ND in
>>>> vehicular networks.
>>>>
>>>> For my part, I think I heard at IETF talk about a demo using 6lowpan
>>>> technology between cars stationed in a parking.
>>>>
>>>> For the second nit (omni interface versions -07  vs -27), there are some
>>>> strange things with the pointers to the omni draft.
>>>>
>>>> In tools.ietf.org the most recent version of omni draft is -13 but
>>>> there
>>>> is a spectacular jump between -07 and -13 without intermediary versions.
>>>>   There are diffs between -13 and -12 though.  There is also a -27
>>>> version indeed at
>>>> https://tools.ietf.org/html/draft-templin-6man-omni-interface-27
>>>> There is no -28 version.
>>>>
>>>> For my part, when I write an xml I-D, I use a special way of referring
>>>> to another I-D, instead of the typical <reference> used to refer to
>>>> non-IETF documents.  In the Informative <references> section I use this
>>>> kind of text below:
>>>>
>>>> >       <?rfc
>>>> >         include="
>>>> http://xml2rfc.ietf.org/public/rfc/bibxml3/reference.I-D.ietf-ipwave-vehicular-networking
>>>> "
>>>> >       ?>
>>>>
>>>> Notice there is no version number written in the filename of the draft.
>>>>   It is then the system that makes sure to add the right version number.
>>>>
>>>> Alex
>>>>
>>>>
>>>> Le 29/07/2020 à 11:06, CARLOS JESUS BERNARDOS CANO a écrit :
>>>> > Hi Paul,
>>>> >
>>>> > It still has some nits:
>>>> >
>>>> >
>>>> https://www6.ietf.org/tools/idnits?url=https://www.ietf.org/archive/id/draft-ietf-ipwave-vehicular-networking-18.txt
>>>> >
>>>> > Thanks,
>>>> >
>>>> > Carlos
>>>> >
>>>> > On Wed, Jul 29, 2020 at 9:49 AM Mr. Jaehoon Paul Jeong
>>>> > <[email-masked] <mailto:[email-masked]>> wrote:
>>>> >
>>>> >     Carlos,
>>>> >     I have posted the revision -18 that addresses the nits issues:
>>>> >
>>>> https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-18
>>>> >
>>>> >     Thanks.
>>>> >
>>>> >     Best Regards,
>>>> >     Paul
>>>> >
>>>> >     On Wed, Jul 29, 2020 at 4:17 PM Mr. Jaehoon Paul Jeong
>>>> >     <[email-masked] <mailto:[email-masked]>> wrote:
>>>> >
>>>> >         Hi Carlos,
>>>> >         I will include the dummy IANA Section and remove the unused
>>>> >         references in the revision today.
>>>> >
>>>> >         Thanks.
>>>> >
>>>> >         Best Regards,
>>>> >         Paul
>>>> >
>>>> >
>>>> >         On Wed, Jul 29, 2020 at 3:34 PM CARLOS JESUS BERNARDOS CANO
>>>> >         <[email-masked] <mailto:[email-masked]>> wrote:
>>>> >
>>>> >             Hi Paul,
>>>> >
>>>> >             Thanks for the update. Can you please take a look at the
>>>> >             nits that idnits returns and solve the ones about unused
>>>> >             references (the rest I think do not really apply)?
>>>> >
>>>> >
>>>> https://www.ietf.org/tools/idnits?url=https://www.ietf.org/archive/id/draft-ietf-ipwave-vehicular-networking-17.txt
>>>> >
>>>> >             Thanks,
>>>> >
>>>> >             Carlos
>>>> >
>>>> >             On Wed, Jul 29, 2020 at 3:36 AM Mr. Jaehoon Paul Jeong
>>>> >             <[email-masked] <mailto:[email-masked]>>
>>>> wrote:
>>>> >
>>>> >                 Hi Russ and Carlos,
>>>> >                 I have posted the revision -17 having Fred's comments
>>>> >                 during the WGLC.
>>>> >
>>>> https://tools.ietf.org/html/draft-ietf-ipwave-vehicular-networking-17
>>>> >
>>>> >                 Thanks.
>>>> >
>>>> >                 Best Regards,
>>>> >                 Paul
>>>> >
>>>> >                 On Tue, Jul 28, 2020 at 10:33 AM Mr. Jaehoon Paul
>>>> Jeong
>>>> >                 <[email-masked] <mailto:
>>>> [email-masked]>>
>>>> >                 wrote:
>>>> >
>>>> >                     Hi Russ and Carlos,
>>>> >                     I will reflect Fred's suggested text changes
>>>> during
>>>> >                     the WGLC.
>>>> >                     I will post the revision by this Wednesday in EST.
>>>> >
>>>> >                     Thanks.
>>>> >
>>>> >                     Best Regards,
>>>> >                     Paul
>>>> >
>>>> >                     On Tue, Jul 28, 2020 at 12:26 AM Russ Housley
>>>> >                     <[email-masked] <mailto:
>>>> [email-masked]>>
>>>> >                     wrote:
>>>> >
>>>> >                         Thanks, Fred..
>>>> >
>>>> >                         Authors, when do you expect to post the next
>>>> update?
>>>> >
>>>> >                         Russ
>>>> >
>>>> >
>>>> >                          > On Jul 27, 2020, at 11:23 AM, Templin (US),
>>>> >                         Fred L <[email-masked]
>>>> >                         <mailto:[email-masked]>> wrote:
>>>> >                          >
>>>> >                          > Russ, I was expecting to see a new draft
>>>> >                         version -17 posted that addresses my list
>>>> >                          > comments from 7/13/2020 before the document
>>>> >                         would be sent to the IESG. So,
>>>> >                          > please let us ask the authors to post the
>>>> -17
>>>> >                         and verify that the comments are
>>>> >                          > addressed before sending to the IESG.
>>>> >                          >
>>>> >                          > Thanks - Fred
>>>> >                          >
>>>> >                          >> -----Original Message-----
>>>> >                          >> From: its [mailto:[email-masked]
>>>> >                         <mailto:[email-masked]>] On Behalf Of
>>>> Russ
>>>> >                         Housley
>>>> >                          >> Sent: Monday, July 27, 2020 6:57 AM
>>>> >                          >> To: its <[email-masked] <mailto:
>>>> [email-masked]>>
>>>> >                          >> Subject: Re: [ipwave] WG Last Call for
>>>> >                         draft-ietf-ipwave-vehicular-networking-16
>>>> >                          >>
>>>> >                          >> I did not see any objections to this
>>>> >                         document being sent to the IESG.  Carlos has
>>>> >                         agree to do the shepherd write-up, and he
>>>> will share
>>>> >                          >> it later this week.
>>>> >                          >>
>>>> >                          >> Russ
>>>> >                          >>
>>>> >                          >>
>>>> >                          >>> On Jul 12, 2020, at 12:28 PM, Russ
>>>> Housley
>>>> >                         <[email-masked]
>>>> >                         <mailto:[email-masked]>> wrote:
>>>> >                          >>>
>>>> >                          >>> This is the IPWAVE WG Last Call for "IPv6
>>>> >                         Wireless Access in Vehicular Environments
>>>> >                         (IPWAVE): Problem Statement and Use Cases”
>>>> >                          >>
>>>> >                         <draft-ietf-ipwave-vehicular-networking-16>.
>>>> >                         Please review the document and send your
>>>> >                         comments to the list by 26 July 2020.
>>>> >                          >>>
>>>> >                          >>> The datatracker page for the document is
>>>> >
>>>> https://datatracker.ietf.org/doc/draft-ietf-ipwave-vehicular-networking/
>>>> >                          >>>
>>>> >                          >>> Thanks,
>>>> >                          >>> Russ & Carlos
>>>> >                          >>
>>>> >                          >>
>>>> _______________________________________________
>>>> >                          >> its mailing list
>>>> >                          >> [email-masked] <mailto:[email-masked]>
>>>> >                          >> https://www.ietf.org/mailman/listinfo/its
>>>> >
>>>> >
>>>>  _______________________________________________
>>>> >                         its mailing list
>>>> >                         [email-masked] <mailto:[email-masked]>
>>>> >                         https://www.ietf.org/mailman/listinfo/its
>>>> >
>>>> >
>>>> >
>>>> >                     --
>>>> >                     ===========================
>>>> >                     Mr. Jaehoon (Paul) Jeong, Ph.D.
>>>> >                     Associate Professor
>>>> >                     Department of Computer Science and Engineering
>>>> >                     Sungkyunkwan University
>>>> >                     Office: +82-31-299-4957
>>>> >                     Email: [email-masked]
>>>> >                     <mailto:[email-masked]>,
>>>> [email-masked]
>>>> >                     <mailto:[email-masked]>
>>>> >                     Personal Homepage:
>>>> >                     http://iotlab.skku.edu/people-jaehoon-jeong.php
>>>> >                     <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>>>> >
>>>> >
>>>> >
>>>> >                 --
>>>> >                 ===========================
>>>> >                 Mr. Jaehoon (Paul) Jeong, Ph.D.
>>>> >                 Associate Professor
>>>> >                 Department of Computer Science and Engineering
>>>> >                 Sungkyunkwan University
>>>> >                 Office: +82-31-299-4957
>>>> >                 Email: [email-masked]
>>>> >                 <mailto:[email-masked]>, [email-masked]
>>>> >                 <mailto:[email-masked]>
>>>> >                 Personal Homepage:
>>>> >                 http://iotlab.skku.edu/people-jaehoon-jeong.php
>>>> >                 <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>>>> >
>>>> >
>>>> >
>>>> >         --
>>>> >         ===========================
>>>> >         Mr. Jaehoon (Paul) Jeong, Ph.D.
>>>> >         Associate Professor
>>>> >         Department of Computer Science and Engineering
>>>> >         Sungkyunkwan University
>>>> >         Office: +82-31-299-4957
>>>> >         Email: [email-masked] <mailto:[email-masked]
>>>> >,
>>>> >         [email-masked] <mailto:[email-masked]>
>>>> >         Personal Homepage:
>>>> >         http://iotlab.skku.edu/people-jaehoon-jeong.php
>>>> >         <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>>>> >
>>>> >
>>>> >
>>>> >     --
>>>> >     ===========================
>>>> >     Mr. Jaehoon (Paul) Jeong, Ph.D.
>>>> >     Associate Professor
>>>> >     Department of Computer Science and Engineering
>>>> >     Sungkyunkwan University
>>>> >     Office: +82-31-299-4957
>>>> >     Email: [email-masked] <mailto:[email-masked]>,
>>>> >     [email-masked] <mailto:[email-masked]>
>>>> >     Personal Homepage:
>>>> http://iotlab.skku.edu/people-jaehoon-jeong.php
>>>> >     <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>>>> >
>>>> >
>>>> > _______________________________________________
>>>> > its mailing list
>>>> > [email-masked]
>>>> > https://www.ietf.org/mailman/listinfo/its
>>>> >
>>>>
>>>> _______________________________________________
>>>> its mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/its
>>>>
>>>
>>
>> --
>> ===========================
>> Mr. Jaehoon (Paul) Jeong, Ph.D.
>> Associate Professor
>> Department of Computer Science and Engineering
>> Sungkyunkwan University
>> Office: +82-31-299-4957
>> Email: [email-masked], [email-masked]
>> Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
>> <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>>
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Computer Science and Engineering
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>